# OpenMCTWeb Documentation

## Overview

 Documentation is provided to support the use and development of the 
 OpenMCTWeb mission operations software. It's recommended that before doing 
 any development with OpenMCTWeb you take some time to familiarize yourself 
 with the documentation below.

 OpenMCTWeb provides functionality out of the box, but it's also a framework for
 building rich mission operations applications based on modern web technology. 
 The framework is configured declaratively, and defines conventions for 
 building on the provided capabilities by creating modular 'bundles' that 
 extend the provided extension points. The details of how to extend the 
 framework are provided in the following documentation. 

## Sections

 * The [Architecture Overview](architecture/) describes the concepts used 
 throughout OpenMCTWeb, and gives a high level overview of the framework's design.
 
 * The [Developer's guide](guide/) goes into more detail about how to use the 
 framework 
 and the capabilities that it provides.
 
 * The [Tutorials](tutorials/) give examples of extending the platform to add 
 functionality, 
 and integrate with data sources.
 
 * The [API](api/) document is generated from inline documentation 
 using jsdoc, and describes the javascript objects and functions that make up 
 the software framework.

 * Finally, the [Development Process](process/) document describes the 
 OpenMCTWeb software development cycle. 